# $Revision: 1.52 $, $Date: 2005/03/27 14:38:20 $
Summary:	Internet Daemon: Authorization, User Identification
Summary(de):	Internet-Dmon: Autorisierung, User-Identifikation
Summary(fr):	Dmon Internet : autorisation, identification de l'utilisateur
Summary(pl):	Demon Internetowy: autoryzacja, identyfikacja uytkownika
Summary(tr):	Internet kullanc saptama sreci
Name:		pidentd
Version:	3.1a25
Release:	3
License:	Public Domain
Group:		Networking/Daemons
Source0:	ftp://ftp.lysator.liu.se/pub/ident/servers/test/%{name}-%{version}.tar.gz
# Source0-md5:	cdb1a8a9d881233cf52400d4f0e3a6e1
Source1:	%{name}.inetd
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-ac_fix.patch
Patch2:		%{name}-segv.patch
Patch3:		%{name}-config.patch
URL:		http://www.lysator.liu.se/~pen/pidentd/
BuildRequires:	autoconf
BuildRequires:	automake
PreReq:		rc-inetd >= 0.8.1
Provides:	identserver
Obsoletes:	linux-identd
Obsoletes:	linux-identd-inetd
Obsoletes:	linux-identd-standalone
Obsoletes:	midentd
Obsoletes:	oidentd
Obsoletes:      oidentd-inetd
Obsoletes:      oidentd-standalone
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
identd is a program that implements the RFC1413 identification server.
identd operates by looking up specific TCP/IP connections and
returning the user name of the process owning the connection.

%description -l de
identd ist ein Programm, das den RFC1413-Identifikations-Server
implementiert. identd untersucht bestimmte TCP/IP-Verbindungen und
gibt dann den Benutzernamen des Prozesses aus, der die Verbindung
besitzt.

%description -l fr
identd est un programme qui implante le RFC1413 serveur
d'identication. Il agit en regardant des connexions TCP/IP spcifiques
et en renvoyant le nom de l'utilisateur du processus qui possde la
connexion.

%description -l pl
Identd jest programem zgodnym z RFC1413 (serwer identyfikacji). Demon
ten sprawdza poczenia TCP/IP i weryfikuje nazw uytkownika procesu
ktry tworzy poczenie.

Gdy uywasz pidentda w wersji wykorzystujcej wtki (threads) pamitaj
o uruchamianiu go z inetd w trybie 'wait'.

%description -l tr
identd RFC1413 ile tanmlanm sunucuyu gerekleyen bir programdr.
Balant kuran srecin kullanc ismini geri dndrr.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
cp -f /usr/share/automake/config.* aux
cp -f /usr/share/automake/config.* plib/aux
cd plib
%{__autoconf}
%{__autoheader}
cd ..
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install etc/identd.conf $RPM_BUILD_ROOT%{_sysconfdir}
install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/pidentd

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload 1>&2
else
	echo "Type \"/etc/rc.d/init.d/rc-inetd start\" to start inet server" 1>&2
fi

%postun
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog FAQ README TODO
%attr(755,root,root) %{_sbindir}/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/identd.conf
%attr(640,root,root) %config(noreplace) %verify(not mtime md5 size) /etc/sysconfig/rc-inetd/pidentd
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pidentd.spec,v $
Revision 1.52  2005/03/27 14:38:20  qboosh
- added segv patch to fix memory corruption
- use root in inetd config, added config patch - identd drops privs to nobody:proc
  itself
- release 3

Revision 1.51  2005/03/26 22:50:43  djrzulf
- updated obsoletes,

Revision 1.50  2004/04/04 15:10:26  qboosh
- updated ac_fixes patch, refresh config.subs (fixes build), added URL

Revision 1.49  2003/09/02 15:23:45  qboosh
- removed default _sysconfdir definition, other cosmetics

Revision 1.48  2003/07/28 20:19:43  blues
- release 2 - added ac_fix patch, make ac-stuff regeneration possible

Revision 1.47  2003/07/19 21:54:16  adamg
- updated to 3.1a25

Revision 1.46  2003/05/28 13:01:16  malekith
- massive attack: source-md5

Revision 1.45  2003/05/25 06:25:28  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.44  2002/08/30 19:48:53  kloczek
- release 2: added linux-identd{,inetd,standalone} to Obsoletes for allow switch from
  linux-identd,
- use new %doc.

Revision 1.43  2002/04/05 15:11:39  roman
s/Public domain/Public Domain in License

Revision 1.42  2002/02/23 04:17:27  kloczek
- adapterized.

Revision 1.41  2002/02/22 23:29:35  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.40  2002/01/18 02:14:36  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.39  2001/09/06 17:41:59  blues
- 3.1a22
- patches updated
NOTE: still the same - not working...

Revision 1.38  2001/07/28 21:37:30  blues
- typo: %s/sever"/server"/

Revision 1.37  2001/07/26 05:42:22  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.35  2001/04/22 01:40:31  kloczek
- release 1,
- added autoconf to BuildRequires.

Revision 1.34  2001/04/21 18:18:27  zagrodzki
- updated to 3.1a19
- doesn't work yet (broken ipv6 support)

Revision 1.33  2000/11/17 11:59:21  misiek
fixed ipv6

Revision 1.32  2000/11/08 11:18:00  kloczek
- updated to 3.1a17,
- use new rpm automation.
Note: ipv6 patch must be updated.

Revision 1.31  2000/09/24 18:36:20  kloczek
- Group changed to Networking/Daemons.

Revision 1.30  2000/09/24 18:30:43  kloczek
- typo.

Revision 1.29  2000/09/24 18:30:00  kloczek
- release 9,
- added "Prodides: identserver" and "Obsoletes: oidentd".

Revision 1.28  2000/08/19 01:08:21  baggins
- release 8
- fixed inetd config

Revision 1.27  2000/06/26 16:59:18  zagrodzki
- -p1 for patch2

Revision 1.26  2000/06/09 07:55:08  kloczek
- more %%{__make} macros.

Revision 1.25  2000/06/09 07:23:46  kloczek
- added using %%{__make} macro.

Revision 1.24  2000/06/02 19:22:46  baggins
- release 7
- revised pident-ip6-ip4-fix.patch

Revision 1.23  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.22  2000/04/01 11:15:34  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.21  2000/03/28 16:55:03  baggins
- translated kloczkish into english

Revision 1.20  2000/01/20 18:42:18  kloczek
- release 6,
- use reload instead restart rc-iniet in %pos and %postun.

Revision 1.19  2000/01/19 19:28:47  kloczek
- cosmetics.

Revision 1.18  2000/01/18 15:32:21  baggins
- added no-ipv6 fix

Revision 1.17  1999/11/29 07:28:25  zagrodzki
- typo

Revision 1.16  1999/10/14 22:58:57  kloczek
- release 3,
- fix: in %postun must be restart inet server (not stop).

Revision 1.15  1999/10/14 15:43:56  baggins
- added config(noreplace) to inetd file

Revision 1.14  1999/10/12 22:49:48  kloczek
- fix: "Prereq: rc-inetd" instead "Requires: rc-inetd".

Revision 1.13  1999/10/12 22:46:48  kloczek
- release 2,
- fixed %post/%postun for proper procedure restarting inet server.

Revision 1.12  1999/10/11 20:40:34  kloczek
- added %post, %postun sections with restarting /etc/rc.d/init.d/rc-inetd on
  upgrade and removing this package,
- added DESTDIR patch,
- more rpm macros,
- cosmetics.

Revision 1.11  1999/10/11 07:04:01  waszi
- small fixes

Revision 1.10  1999/10/06 09:01:28  waszi
- pidentd.rc-inetd -> pidentd.inetd

Revision 1.9  1999/10/06 06:54:22  waszi
-support for rc-inetd

Revision 1.8  1999/08/20 10:17:58  misiek
update do 3.1a14

Revision 1.7  1999/07/26 11:10:00  misiek
- added ipv6 patch

Revision 1.6  1999/07/24 18:59:14  alchemyx
new release; fixed problem with gathering all resources in some cases

Revision 1.5  1999/07/18 14:53:24  baggins
- fixed bogus Group: field

Revision 1.4  1999/07/12 23:06:12  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon Jun 28 1999 Michal Margula <alchemyx@pld.org.pl>
[3.0.4-1]
- upgraded to 3.0.4
- spec fixed for FHS 2.0

* Fri Jan 15 1999 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
[3.0.1-1d]
- new upstream release

* Mon Nov 09 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
[2.7-1d]
- translation modified for pl,
- build for PLD Tornado,
- major changes.
